FailedOk

th/SRPMS[OK]
th/x32[OK]
th/i686[OK]
th/x86_64[OK]

ac/SRPMS[OK]
ac/i386[OK]
ac/i586[OK]
ac/i686[OK]
ac/alpha[OK]
ac/amd64[OK]
ac/athlon[OK]
ac/ppc[OK]
ac/sparc[OK]
ac/sparc64[OK]

Advanced Search
main()
Powered by PLD Linux
(c) 2002-2024 PLD Team
$Revision: 1.37 $
Powered by /dev/ill.
Your IP: 3.239.76.25

xorg-lib-libXft c14347e2-be76-420c-a01b-ebde46dd2e83

Status:Failed
Source URL:https://buildlogs.pld-linux.org/pld/th/x32/FAIL/xorg-lib-libXft,c14347e2-be76-420c-a01b-ebde46dd2e83.bz2
text/plain URL:View!
rpm -qa of builder:View!
Date:2023/11/26 10:17:26

Toc:

  • error 1
  • rpm: error: Failed build dependencies:
  • error 2
  • rpm: error: Failed build dependencies:
  • error 3
  • poldek: error: freetype-devel-2.13.2-1.x32: req libtool(/usr/libx32/libbrotlicommon.la) not found
  • error 4
  • poldek: error: freetype-devel-2.13.2-1.x32: req libtool(/usr/libx32/libbrotlidec.la) not found
  • error 5
  • poldek: error: fontconfig-devel-2.14.2-1.x32: req freetype-devel >= 1:2.9 not found
  • error 6
  • poldek: error: fontconfig-devel-2.14.2-1.x32: req libtool(/usr/libx32/libbrotlicommon.la) not found
  • error 7
  • poldek: error: fontconfig-devel-2.14.2-1.x32: req libtool(/usr/libx32/libbrotlidec.la) not found
  • error 8
  • poldek: error: fontconfig-devel-2.14.2-1.x32: req libtool(/usr/libx32/libfreetype.la) not found
  • error 9
  • poldek: error: fontconfig-devel-2.14.2-1.x32: req pkgconfig(freetype2) >= 21.0.15 not found
  • error 10
  • poldek: error: 7 unresolved dependencies
  • error 11
  • poldek: error: Failed dependencies:
  • error 12
  • error: freetype-devel: no such package
  • error 13
  • error: fontconfig-devel: no such package
  • error 14
  • rpm: error: Failed build dependencies:
  • error 15
  • error: freetype-devel-2.13.2-1.x32: req libtool(/usr/libx32/libbrotlicommon.la) not found
  • error 16
  • error: freetype-devel-2.13.2-1.x32: req libtool(/usr/libx32/libbrotlidec.la) not found
  • error 17
  • error: 2 unresolved dependencies
  • error 18
  • error: freetype-devel-2.13.2-1.x32: req libtool(/usr/libx32/libbrotlicommon.la) not found
  • error 19
  • error: freetype-devel-2.13.2-1.x32: req libtool(/usr/libx32/libbrotlidec.la) not found
  • error 20
  • error: fontconfig-devel-2.14.2-1.x32: req libtool(/usr/libx32/libbrotlicommon.la) not found
  • error 21
  • error: fontconfig-devel-2.14.2-1.x32: req libtool(/usr/libx32/libbrotlidec.la) not found
  • error 22
  • error: fontconfig-devel-2.14.2-1.x32: req libtool(/usr/libx32/libfreetype.la) not found
  • error 23
  • error: fontconfig-devel-2.14.2-1.x32: req pkgconfig(freetype2) >= 21.0.15 not found
  • error 24
  • error: 6 unresolved dependencies
  • error 25
  • error: BR installation failed

Content:

request from: baggins
checking if we should skip the build
started at: Sun Nov 26 10:17:17 2023
killing old processes on a builder
sending signal 9 to pid -1
cleaning up /tmp
fetching https://srcbuilder.pld-linux.org/th//srpms/c14347e2-be76-420c-a01b-ebde46dd2e83/xorg-lib-libXft-2.3.8-2.src.rpm
fetched 322943 bytes, 948.7 K/s
installing srpm: xorg-lib-libXft-2.3.8-2.src.rpm
+ install -d /tmp/B.k5r884av/BUILD /tmp/B.k5r884av/RPMS
+ LC_ALL=en_US.UTF-8
+ rpm -qp --changelog xorg-lib-libXft-2.3.8-2.src.rpm
* Sun Nov 26 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libXft.git;a=log;h=master
* Sun Nov 26 2023 Jan Rękorajski <baggins@pld-linux.org> c0b50be
- Release 2 (by relup.sh) * Thu Apr 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 4f295b2
- updated to 2.3.8 * Wed Nov 16 2022 Jakub Bogusz <qboosh@pld-linux.org> 554d733
- updated to 2.3.7 * Sat Sep 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 7c8bbc4
- updated to 2.3.6 * Tue Aug 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 59e7c80
- versioned Obsoletes * Tue Aug 17 2021 Jakub Bogusz <qboosh@pld-linux.org> d1ec814
- updated to 2.3.4 * Tue Mar 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 21f90c9
- updated to 2.3.3 * Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> bf0f7bc
- x32 rebuild - release 2 (by relup.sh) * Fri Jun 06 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 92f1999
- up to 2.3.2 * Sun Jun 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 3b748fa
- updated to 2.3.1 * Thu Mar 08 2012 Jakub Bogusz <qboosh@pld-linux.org> c0f7bed
- updated to 2.3.0 - removed obsolete lcd-filter patch (functionality integrated upstream) * Sat Oct 30 2010 Jakub Bogusz <qboosh@pld-linux.org> 6647ab4
- updated to 2.2.0 - xft-config script is gone * Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> 7e44650
- rebuild - rel 2 * Tue Oct 13 2009 Jakub Bogusz <qboosh@pld-linux.org> 3373284
- updated to 2.1.14 - updated lcd-filter patch * Thu Aug 13 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4251a09
- rel 3; R: fontconfig for main config * Thu Nov 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7afd4d1
- release 2 * Wed Jul 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 100624b
- ghost soname symlink * Wed Jul 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9cdd4ea
- up to 2.1.13 * Wed Feb 21 2007 Jakub Bogusz <qboosh@pld-linux.org> e0bcd88
- runtime dependency on freetype 2.3.0 * Tue Feb 20 2007 qrczak <qrczak@pld-linux.org> 46d150f
- xorg-lib-libXft-lcd-filter.patch: use freetype-2.3.0's LCD filtering (based on http://david.freetype.org/lcd/libXft-2.1.7-lcd-filter-2.patch) - Release 2 + rpm -Uhv --nodeps --define '_topdir /tmp/B.k5r884av' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' xorg-lib-libXft-2.3.8-2.src.rpm Updating / installing... xorg-lib-libXft-2.3.8-2 ######################################## + rm -f xorg-lib-libXft-2.3.8-2.src.rpm + install -m 700 -d /tmp/B.k5r884av/BUILD/tmp + TMPDIR=/tmp/B.k5r884av/BUILD/tmp + exec nice -n 0 rpmbuild -bp --short-circuit --nodeps --define '_topdir /tmp/B.k5r884av' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x32-pld-linux --define 'prep exit 0' /tmp/B.k5r884av/xorg-lib-libXft.spec Building target platforms: x32-pld-linux Building for target x32-pld-linux checking BuildConflict-ing packages rpm: error: Failed build dependencies: rpm: fontconfig-devel >= 2.5.92 is needed by xorg-lib-libXft-2.3.8-2.x32 rpm: freetype-devel >= 1:2.3.0 is needed by xorg-lib-libXft-2.3.8-2.x32 rpm: Building target platforms: x32-pld-linux rpm: Building for target x32-pld-linux no BuildConflicts found checking BR rpm: error: Failed build dependencies: rpm: fontconfig-devel >= 2.5.92 is needed by xorg-lib-libXft-2.3.8-2.x32 rpm: freetype-devel >= 1:2.3.0 is needed by xorg-lib-libXft-2.3.8-2.x32 rpm: Building target platforms: x32-pld-linux rpm: Building for target x32-pld-linux updating poldek cache... ready is up to date th is up to date th is up to date th-ready is up to date th-ready is up to date th-test is up to date th-test is up to date checking conflicting packages in BRed packages poldek: Loading [pndir]ready... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th... poldek: Loading [pndir]th... poldek: 31196 packages read poldek: Removed 2638 duplicate packages from available set poldek: Processing dependencies... poldek: freetype-devel-2.13.2-1.x32 marks harfbuzz-devel-8.3.0-1.x32 (cap harfbuzz-devel >= 2.0.0) poldek: error: freetype-devel-2.13.2-1.x32: req libtool(/usr/libx32/libbrotlicommon.la) not found poldek: error: freetype-devel-2.13.2-1.x32: req libtool(/usr/libx32/libbrotlidec.la) not found poldek: error: fontconfig-devel-2.14.2-1.x32: req freetype-devel >= 1:2.9 not found poldek: error: fontconfig-devel-2.14.2-1.x32: req libtool(/usr/libx32/libbrotlicommon.la) not found poldek: error: fontconfig-devel-2.14.2-1.x32: req libtool(/usr/libx32/libbrotlidec.la) not found poldek: error: fontconfig-devel-2.14.2-1.x32: req libtool(/usr/libx32/libfreetype.la) not found poldek: error: fontconfig-devel-2.14.2-1.x32: req pkgconfig(freetype2) >= 21.0.15 not found poldek: There are 3 packages to install (1 marked by dependencies): poldek: A fontconfig-devel-2.14.2-1.x32 freetype-devel-2.13.2-1.x32 poldek: A harfbuzz-devel-8.3.0-1.x32 poldek: This operation will use 3.3MB of disk space. poldek: freetype-devel-2.13.2-1.x32.rpm: digests OK poldek: fontconfig-devel-2.14.2-1.x32.rpm: digests OK poldek: harfbuzz-devel-8.3.0-1.x32.rpm: digests OK poldek: Need to get 516.9KB of archives. poldek: error: 7 unresolved dependencies poldek: harfbuzz-devel-8.3.0-1.x32.rpm: digests OK poldek: freetype-devel-2.13.2-1.x32.rpm: digests OK poldek: fontconfig-devel-2.14.2-1.x32.rpm: digests OK poldek: Executing pm-command.sh --upgrade -vh --test --root / --define _check_dirname_deps 0... poldek: warning: /root/.cache/poldek/ftp_ftp1.pld-linux.org.dists.th.ready.x32.RPMS/harfbuzz-devel-8.3.0-1.x32.rpm: Header V4 DSA/SHA1 Signature, key ID e4f1bc2d: NOKEY poldek: error: Failed dependencies: poldek: libtool(/usr/libx32/libbrotlicommon.la) is needed by freetype-devel-1:2.13.2-1.x32 poldek: libtool(/usr/libx32/libbrotlidec.la) is needed by freetype-devel-1:2.13.2-1.x32 poldek: libtool(/usr/libx32/libbrotlicommon.la) is needed by fontconfig-devel-1:2.14.2-1.x32 poldek: libtool(/usr/libx32/libbrotlidec.la) is needed by fontconfig-devel-1:2.14.2-1.x32 uninstalling conflicting packages removing freetype-devel error: freetype-devel: no such package package freetype-devel removal failed removing fontconfig-devel error: fontconfig-devel: no such package package fontconfig-devel removal failed checking BR rpm: error: Failed build dependencies: rpm: fontconfig-devel >= 2.5.92 is needed by xorg-lib-libXft-2.3.8-2.x32 rpm: freetype-devel >= 1:2.3.0 is needed by xorg-lib-libXft-2.3.8-2.x32 rpm: Building target platforms: x32-pld-linux rpm: Building for target x32-pld-linux installing BR: fontconfig\-devel freetype\-devel + poldek --noask --caplookup -Q -v '--ignore=hhvm-*' '--ignore=php4-*' '--ignore=php52-*' '--ignore=php54-*' '--ignore=php55-*' '--ignore=php56-*' '--ignore=php70-*' '--ignore=php71-*' '--ignore=php72-*' '--ignore=php73-*' '--ignore=php74-*' '--ignore=php80-*' '--ignore=php81-*' '--ignore=php82-*' --upgrade fontconfig-devel freetype-devel Loading [pndir]ready... Loading [pndir]th-test... Loading [pndir]th-test... Loading [pndir]th-ready... Loading [pndir]th-ready... Loading [pndir]th... Loading [pndir]th... 31196 packages read Removed 2638 duplicate packages from available set Processing dependencies... freetype-devel-2.13.2-1.x32 marks harfbuzz-devel-8.3.0-1.x32 (cap harfbuzz-devel >= 2.0.0) error: freetype-devel-2.13.2-1.x32: req libtool(/usr/libx32/libbrotlicommon.la) not found error: freetype-devel-2.13.2-1.x32: req libtool(/usr/libx32/libbrotlidec.la) not found There are 2 packages to install (1 marked by dependencies): A freetype-devel-2.13.2-1.x32 harfbuzz-devel-8.3.0-1.x32 This operation will use 2.5MB of disk space. freetype-devel-2.13.2-1.x32.rpm: digests OK harfbuzz-devel-8.3.0-1.x32.rpm: digests OK Need to get 305.6KB of archives. error: 2 unresolved dependencies Installing set #2 Processing dependencies... fontconfig-devel-2.14.2-1.x32 marks freetype-devel-2.13.2-1.x32 (cap freetype-devel >= 1:2.9) freetype-devel-2.13.2-1.x32 marks harfbuzz-devel-8.3.0-1.x32 (cap harfbuzz-devel >= 2.0.0) error: freetype-devel-2.13.2-1.x32: req libtool(/usr/libx32/libbrotlicommon.la) not found error: freetype-devel-2.13.2-1.x32: req libtool(/usr/libx32/libbrotlidec.la) not found error: fontconfig-devel-2.14.2-1.x32: req libtool(/usr/libx32/libbrotlicommon.la) not found error: fontconfig-devel-2.14.2-1.x32: req libtool(/usr/libx32/libbrotlidec.la) not found error: fontconfig-devel-2.14.2-1.x32: req libtool(/usr/libx32/libfreetype.la) not found error: fontconfig-devel-2.14.2-1.x32: req pkgconfig(freetype2) >= 21.0.15 not found There are 3 packages to install (2 marked by dependencies): A fontconfig-devel-2.14.2-1.x32 freetype-devel-2.13.2-1.x32 A harfbuzz-devel-8.3.0-1.x32 This operation will use 3.3MB of disk space. fontconfig-devel-2.14.2-1.x32.rpm: digests OK freetype-devel-2.13.2-1.x32.rpm: digests OK harfbuzz-devel-8.3.0-1.x32.rpm: digests OK Need to get 516.9KB of archives. error: 6 unresolved dependencies error: BR installation failed + chmod -R u+rwX /tmp/B.k5r884av/BUILD + rm -rf /tmp/B.k5r884av/tmp /tmp/B.k5r884av/BUILD + rm -rf /tmp/B.k5r884av Begin-PLD-Builder-Info Build-Time: user:5.50s sys:2.43s real:10.08s (faults io:0 non-io:350025) End-PLD-Builder-Info
[Back to list of logs] [View rpm -qa of builder]